/* Common-CSS --------*/
input[type='radio']:checked::after {
    position: absolute;
    /* width: 11px;
    height: 11px;
    top: -5px;
    left: 1px; */
    top: -1px;
    border-radius: 50%;
    position: relative;
    background-color: var(--dark);
    content: '';
    display: inline-block;
    visibility: visible;
    border: 2px solid #fff;
}
/* Common-CSS --------*/

/* Data Table----------- */
table.dataTable tbody td.sorting_1 {
    background: none;
}
table.dataTable thead > tr > th.sorting:before, table.dataTable thead > tr > th.sorting:after {
    opacity: 0.5;
}
table.dataTable thead>tr>th.sorting {
    font-weight: 600;
}
table.dataTable thead th, table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc {
    background: #f5f5f5;
    color: var(--dark);
}
table.dataTable thead .sorting::before {
    top: 22%;
}
.datatable .dropdown-toggle {
    position: relative;
}
.datatable .dropdown-menu{
    margin-top: -1px !important;
}
/* .dropdown-toggle::after {
    border: none;
    background-image: url(../img/icon/arrow.png);
    width: 15px;
    height: 15px;
    background-repeat: no-repeat;
    background-size: contain;
    content: '';
    position: absolute;
    right: 0px;
    top: 50%;
    transform: translateY(-40%);
    display: inline-block;
    margin-left: 10px;
} */
table.dataTable tbody th, table.dataTable tbody td {
    vertical-align: middle;
}
.table-bordered > :not(caption) > * > * {
    border-width: 1px 1px;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.current:focus{
    background-color: var(--dark);
}
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:focus {    
    color: initial !important;
}
.dropdown-toggle:hover {
    color: var(--dark);
}
.td-dropdown-action{
 text-align: center;
}
.table-hover tbody tr:hover {
    background-color: #f5f5f5 !important;
}
.table-hover>tbody>tr:hover>* {
    --bs-table-accent-bg: initial;
}
/* filter smallicon */
.df-example::before{
    display: none;
}
/* Data Table-------- */


/* Start Aside Menu Admin ------------*/
/* .asidemenuadmin .aside-header a.aside-logo {
    display: block;
} */
.asidemenuadmin .nav-aside .with-sub .nav-link::after {
    opacity: 1;
}
.asidemenuadmin .aside-logo,
.asidemenuadmin .aside-logo:hover,
.asidemenuadmin .aside-logo:focus {
    color: var(--white);
}

.asidemenuadmin .aside-header svg {
    color: #000;
}

.asidemenuadmin .aside-header .aside-close-svg{
    color: #fff;
}

.asidemenuadmin .nav-aside .nav-link {
    color: var(--white);
    transition: all 0.25s;
    font-size: 18px;
}

/* .asidemenuadmin .nav-aside .nav-link span {
    font-size: 15px;
} */

.asidemenuadmin .nav-aside .nav-item .nav-link svg {
    color: var(--white);
}

.asidemenuadmin .aside-loggedin h6 {
    color: var(--white);
}

.asidemenuadmin .aside-loggedin svg {
    color: var(--white);
}

.asidemenuadmin .nav-aside .nav-label {
    color: var(--white);
}

.asidemenuadmin .nav-aside .nav-item .nav-link svg {
    color: var(--white);
}

.asidemenuadmin .nav-aside .nav-item span {
    padding-left: initial;
}

.asidemenuadmin .nav-aside .nav-link:hover,
.asidemenuadmin .nav-aside .nav-link:focus {
    color: var(--orange-light);
}

.asidemenuadmin .nav-aside .nav-link:hover svg,
.asidemenuadmin .nav-aside .nav-link:focus svg {
    color: var(--orange-light);
}

.asidemenuadmin .nav-aside .nav-item ul a {
    color: var(--white);
    font-size: 16px;
}
.asidemenuadmin .nav-aside .nav-item ul a.active{
    color: var(--orange-light); 
}

.admin-submenu{
    margin-top: 0px !important;
}


.asidemenuadmin .nav-aside .nav-item ul a:hover,
.asidemenuadmin .nav-aside .nav-item ul a:focus {
    color: var(--orange-light);
}

/* Start Aside Menu Admin ------------*/

/* Header Start ------------------*/
.header-profile .dropdown-link:hover .profile-img img {
    background-color: transparent;
}

.header-profile .dropdown-link:hover .profile-img {
    border: 2px solid #1c8164 !important;
}
.header-profile .profile-img { 
    border: 2px solid #3AB795 !important;
}
.dropdown-profile .dropdown-item:hover, .dropdown-profile .dropdown-item:focus { 
    color:var(--orange-light);
}
.dropdown-profile .dropdown-menu { 
    padding:15px;    
}
/* Header End ----------------*/

/* Inigration Page Start-----------------*/
.IntCardimg {
    /* height: 110px; */
    padding: 15px;
}

.asidemenuadmin .admin-submenu{
    padding-bottom: 0 !important;
}

.asidemenuadmin .nav-aside.profileMenu{
    overflow: hidden;
}
.nav-aside .nav-item .admin-submenu{
    padding-left: 10px;
    margin-top: 5px !important;
    border-left: 1px solid #8392a5;
    
}
.nav-aside .nav-item .admin-submenu li{
    padding:0 0 5px 0;
}
.nav-aside .nav-item .admin-submenu li a{
    padding: 0;
}
.asidemenuadmin .nav-aside .with-sub.show:not(.active) .nav-link {
    color: #ffffff;
}
.admin-submenu .nav-link::after{
    display: none !important;
}
.nav-aside .admin-submenu li a{
    position: relative;
}

.nav-aside .admin-submenu li a::before {
    content: '';
    position: absolute;
    top: 2px;
    left: -12px;
    bottom: 2px;
    right: -25px;
    border-left: 2px solid #fff;
    opacity: 0;
    visibility: hidden;
}
.nav-aside .admin-submenu li.active a::before{
    opacity: 1 !important;
    visibility:visible !important; 
    border-left: 2px solid var(--orange-light);
}
.asidemenuadmin .profileMenu .nav-item {
    padding: 0 0 5px 0 !important;
    margin:0;
}


/* Inigration Page End---------*/


span.input-date-icon {
    position: absolute;
    right: 30px;
    top: 50%;
}

.bootstrap-tagsinput .tag{
    margin-bottom: 0;
}
.bootstrap-tagsinput .tag [data-role="remove"]::after{
    top: 5px;
}

.input-toggle-pass{
    position: absolute;
    right: 2px;
    height: 39px;
    z-index: 11;
}

.input-toggle-pass .input-group-text{
    border: none;    
    border-left: 1px solid #c0ccda;
    border-radius: 2px;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    background: none;
}

    .slect-img-btn:active{
    border: none;
    }

    .slect-img-btn{
    padding-left: 0;
    }

    .input-clock{
        position: absolute;
        right: 25px;
        top: 30px;
    }

    .category-group-dropdown .cat-search > ul{
    padding: 0;
    }

.flatpickr-day.selected{
    background-color: #3ab795 !important;
    border-color: #3ab795 !important;
}
.flatpickr-months .flatpickr-prev-month:hover svg, .flatpickr-months .flatpickr-next-month:hover svg {
    fill: #1c524d !important;
}

.flatpickr-time input:hover, .flatpickr-time .flatpickr-am-pm:hover, .flatpickr-time input:focus, .flatpickr-time .flatpickr-am-pm:focus{
    background-color: #f3f3f3;
}


/* timepicker */
.timepicker_wrap {    
    top: 38px !important;
    left: 0px !important;
}

.timepicki-input:focus-visible{
    outline-color: #c0ccda !important;
}

.timepicker_wrap .prev:hover, .timepicker_wrap .next:hover {
    background-color: #efefef !important;
}

.time_pick{
    position: relative;
}

/* switch */

.switch{
    background: #bdbdbd;
}

.table-border-none td,
.table-border-none th{
border: none;
}

.select-image-btn{
    padding: 0;    
}


/* daterangepicker */

.daterangepicker .drp-buttons {    
    align-items: center;
  }
  
  .drp-buttons .cancelBtn{
    border: 1px solid #b7b7b7;
    margin-left: auto !important;
  } 

  .drp-buttons .applyBtn{
    background: #3ab795;
    border: 1px solid #3ab795
  }

  .daterangepicker td.active{
    background-color: #1c524d !important; 
    color: #fff !important;
}

.input-icon-absoulte{
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    color: #99a2af;
}

/* input foucs */

.search-form .form-control:focus, .search-form .form-control:active {
    border-color: #1c524d; 
}
.search-form .form-control:focus+button, .search-form .form-control:active+button {
    border-color: #1c524d;
}

/* modal-body */

.right-modal .modal-body{
overflow-x: hidden;
}


.fileupload .thumbnail img{
    width: 100% !important;
    height: 100% !important;
    border-radius: initial !important;
    object-fit: cover;
}

.pr-27{
    padding-right: 37px;
}
.table-td-25 td{
    width: 25%;
}


/* sticky right modal footer */

.right-modal .modal-body {
    overflow-x: hidden;
    height: calc(100% - 118px);
    overflow-y: auto;
    flex: initial;
}

.right-modal .modal-footer {
    position: fixed;
    bottom: 0;
    width: 100%; 
    left: 0;
}

.btn-mode{
    color: #fff;        
    text-align: center;
}
.eventStatusTd{
    text-align: center;
}
.event-closed:hover,
.event-closed:active {
    background-color:#f0ad4e;
    border-color:#b47b2c;
}
.event-pending:hover, .event-pending:active {
    background-color:#d9534f;
    border-color:#ad1417;
    color: #fff;
}

.event-lost:hover, .event-lost:active {
    background-color: #3e3c38;
    border-color: #3e3c38;
}
.event-closed:hover, .event-closed:active {
    background-color: #7a6e1a;
    border-color:#7a6e1a;
}


.ms--8px{
    margin-left: -8px;
}

/* =============Media Qurey================================ */
@media (min-width: 991px) {
    .asidemenuadmin .aside-menu-link {
        /* display: initial; */
        margin-top: 15px;
    }

    .asidemenuadmin .aside-header {
        height: 80px !important;
    }

    .aside-loggedin {
        margin-top: 15px;
    }
}
/* Default for desktop (positioning remains) */
.asidemenuadmin .aside-menu-link {
    position: absolute;
    right: -22px;
    top: 0;
}

/* Remove position and right for tablets and mobile devices */
@media (max-width: 991px) { /* Targets screens 991px and below */
    .asidemenuadmin .aside-menu-link {
        position: static; /* Reset position */
        right: auto; /* Reset right */
    }
}


@media (min-width: 991px) {
    .asidemenuadmin .aside-menu-link {
        /* display: initial; */
        margin-top: 15px;
    }

    .aside-loggedin {
        margin-top: 15px;
    }
}

